import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
interface IInputNumberCustomProp {
    errorText: string;
    sucessText: string;
    helperText: string;
    value: string;
    onChange: React.ChangeEventHandler<HTMLInputElement>;
    onClick: React.MouseEventHandler<HTMLInputElement>;
    placeholder: string;
    error: boolean;
    sucess: boolean;
    size: sizeType;
    label: string;
    image: React.ReactNode;
    controller: boolean;
    imageStart: React.ReactNode;
    inputRef: React.RefObject<HTMLInputElement>;
    modeProp: modeType;
}
export declare type IInputNumber = Partial<IInputNumberCustomProp & Omit<ComponentProps<'input'>, keyof IInputNumberCustomProp>>;
declare const InputNumber: React.FC<IInputNumber>;
export default InputNumber;
