import { FC } from 'react';
import { IInput } from './InputText';
import { IInputTextarea } from './TextArea';
import { IInputNumber } from './InputNumber';
declare type IInpytNumber = IInputNumber & {
    type?: 'number';
};
declare type IInpytTextArea = IInputTextarea & {
    type?: 'textarea';
};
declare type IInpytText = IInput & {
    type?: 'text';
};
declare const InputWrapper: FC<IInpytNumber | IInpytTextArea | IInpytText>;
export default InputWrapper;
